
services:

  xiidea.easy_audit.logger_factory:
          class: Xiidea\EasyAuditBundle\Logger\LoggerFactory
          public: false
          arguments : [ %xiidea.easy_audit.logger_chanel% ]
          calls:
              - [ setContainer,[ @service_container ] ]

  xiidea.easy_audit.event_resolver_factory:
          class: Xiidea\EasyAuditBundle\Resolver\EventResolverFactory
          public: false
          calls:
              - [ setContainer,[ @service_container ] ]

  xiidea.easy_audit.event_listener:
          class: Xiidea\EasyAuditBundle\Listener\LogEventsListener
          arguments: [@xiidea.easy_audit.logger_factory, @xiidea.easy_audit.event_resolver_factory]
